Bug 867658 - When passing repo=FOO, hub does not render until the metadata are downloaded
When passing repo=FOO, hub does not render until the metadata are downloaded
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All All
unspecified Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 20:26 EDT by Adam Williamson
Modified: 2013-05-30 13:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-18.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:57:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-10-17 20:26:20 EDT
Running https://fedoraproject.org/wiki/QA:Testcase_install_repository_HTTP/FTP_variation against F18 Beta TC4 netinst, I noticed that after clicking 'I accept my fate' on the 'eats babies' warning, there was a period of some 10-20 seconds when I was just looking at a grey screen, before the hub eventually showed up. When the hub showed up, Installation Source was already showing as the repo I specified (http://download.fedoraproject.org/pub/fedora/linux/development/18/x86_64/os/ ) - there was no 'downloading metadata...' phase.

So I suspect that during that grey screen time, the metadata are being downloaded, and the hub doesn't render until they're done. Ideally the hub should render immediately and show progress while the metadata are downloaded, as it does if you interactively select a remote repo.
Comment 1 Chris Lumens 2012-10-17 22:00:44 EDT
Which anaconda is this?  I committed 3a3a4d0e9b4933e6fe57f4204f5368ea802b63f5 just yesterday after noticing this same problem in a different way.  Should be in anaconda-18.17-1.
Comment 2 Adam Williamson 2012-10-17 22:48:51 EDT
TC4 would be 18.16 I believe. Can mark it ON_QA for 18.17/18.18 if you like, I'll check with TC5.
Comment 3 Jesse Keating 2012-10-18 00:11:47 EDT
Please do re-test.  Marking bug to indicate state.
Comment 4 Adam Williamson 2013-05-30 13:10:21 EDT
ah, sorry, forgot about this one. I'm pretty sure it wound up fine.

Note You need to log in before you can comment on or make changes to this bug.